    $Var = 20
    &{
        $Var = 30
        Function FCTScope {
            $Var = 
            Class ScopingScript {
                [Int] Show () {
                    return $script:var
                }
                Static [Int] ShowStatic () {
                    return $script:Var
                }
            }
            Return [ScopingScript]::ShowStatic()
        }
        FCTScope
    }
